-------------------------------------------------------------
--	th105_ai_lib.txtのぱくり + アルファ
-------------------------------------------------------------

function lvr236(button)
	wait(1); -- 化け対策
	key_on(ACT_DOWN);yield();
	key_on(front);yield();
	key_off(ACT_DOWN);yield();
	key_off(front);
	if button>=0 and button<=9 then
		key_event(button);
	end
end

function lvr2368(button)
	key_on(ACT_DOWN);yield();
	key_on(front);yield();
	key_off(ACT_DOWN);yield();
	key_off(front);
	if button>=0 and button<=9 then
		key_event2(ACT_UP,button);
	end
end

function lvr623(button)
	key_on(front);yield();key_off(front);
	key_on(ACT_DOWN);yield();
	key_on(front);yield();
	key_off(ACT_DOWN);key_off(front);
	if button>=0 and button<=9 then
		key_event(button);
	end
end

function lvr214(button)
	wait(1); -- 化け対策
	key_on(ACT_DOWN);yield();
	key_on(back);yield();
	key_off(ACT_DOWN);yield();
	key_off(back);
	if button>=0 and button<=9 then
		key_event(button);
	end
end

function lvr421(button)
	key_on(back);yield();key_off(back);
	key_on(ACT_DOWN);yield();
	key_on(back);yield();
	key_off(ACT_DOWN);key_off(back);
	if button>=0 and button<=9 then
		key_event(button);
	end
end

function lvr22(button)
	key_on(ACT_DOWN);yield();key_off(ACT_DOWN);yield();
	key_on(ACT_DOWN);yield();key_off(ACT_DOWN);
	if button>=0 and button<=9 then
		key_event(button);
	end
end

function dashAttack(button)
	key_on(front); yield(); key_off(front); yield();
	key_on(front); yield(); --key_off(front); yield();
	if button>=0 and button<=9 then
		key_on(button);
	end
	yield(); 
end

function frontDash()
	key_on(front); yield(); key_off(front); yield();
	key_on(front); yield(); --key_off(front); yield();
end

function backDash()
	key_on(back); yield(); key_off(back); yield();
	key_on(back); yield(); --key_off(back); yield();
end
